--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Draw a cubic Bezier curve from <tt>(x0, y0)</tt> to <tt>(x3, y3)</tt> using <tt>(x1, y1)</tt> and <tt>(x2, y2)</tt> as control points.
- !ruby/object:SM::Flow::LIST 
  contents: 
  - !ruby/struct:SM::Flow::LI 
    label: "New Point:"
    body: <tt>(x3, y3)</tt>
  - !ruby/struct:SM::Flow::LI 
    label: "Subpath:"
    body: New
  type: :NOTE
full_name: PDF::Writer::Graphics#curve
is_singleton: false
name: curve
params: (x0, y0, x1, y1, x2, y2, x3, y3)
visibility: public
